Mantis Bug Tracker

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000488Mana ServerCorepublic2012-06-23 13:382012-08-05 20:55
ReporterPjotrOrial 
Assigned ToPjotrOrial 
PriorityimmediateSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000488: manaserv-game crashes on CTRL-C
DescriptionIf commenting out
delete mDispells.begin()->second;
item.h: circa line 275
it works without crash.
Steps To Reproducestart manaserv and then send signal 15 (for example by pressing CTRL-C)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001770)
PjotrOrial (developer)
2012-08-05 20:55

fixed in https://github.com/mana/manaserv/commit/ad8cae4095a1efe19f9b8ea87a49fd78ab76fc24 [^]

- Issue History
Date Modified Username Field Change
2012-06-23 13:38 PjotrOrial New Issue
2012-07-14 11:29 bjorn Summary Manaser-game crashes on CTRL-C => manaserv-game crashes on CTRL-C
2012-08-05 20:53 bjorn Assigned To => PjotrOrial
2012-08-05 20:53 bjorn Status new => assigned
2012-08-05 20:55 PjotrOrial Note Added: 0001770
2012-08-05 20:55 PjotrOrial Status assigned => resolved
2012-08-05 20:55 PjotrOrial Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker